#include "arm9.h"

#ifdef SCROLL_TEXT
#include "scroller.h"
/*
Scroller text for use in the firmware.
*/

#define SCROLLER_LINE_NUM 22

char stext[2074]={
	//DO NOT CHANGE THIS LINE. The Installer will look for
	//this line, for allowing this text to be customized before installation.
	"***SCROLLER TEXT START***"
	//You may change this region, if you wish. Keep the size of this text
	//to 2048 or less.
	"\0"
};

int scroll_pos=25;
int scroll_update=0;
bool scroll_enabled=true;
void scroll_text() {
	int i;
	u16 *p=(u16*)(SCREEN_BASE_BLOCK_SUB(0)+SCROLLER_LINE_NUM*64);
	
	if(stext[25]==0)
		return;
	
	if(scroll_enabled) {

		if(stext[scroll_pos]==0)
			scroll_pos=25;
		
		scroll_update++;
		if(scroll_update==10)
		{
			scroll_update=0;
			scroll_pos++;
		}
		for(i=0;i<32;i++)
		{
			if(stext[scroll_pos+i]!=0)
				*p++=stext[scroll_pos+i];
			else
			{
				while(i<32)
				{
					*p++=' ';
					i++;
				}
			}
		}
	}
}
#endif
