#define FWNITRO_VERSION "1.6A"
// Comment the following options to disable them from your build of fwnitro.


// USE_AUTOSTART_FLAG - Set this to use the AutoStart flag in the Nintendo DS card, regardless of
// firmware settings. You may disable it if you are having problems. It will still autostart if the
// setting is enabled in the firmware.
//#define USE_AUTOSTART_FLAG 1

// SCROLL_TEXT - Puts a Scroller text on the top screen, for an added customization to your Nintendo DS.
#define SCROLL_TEXT 1

// MKDS_COURSE_HACK - Now you have to option of playing offline MKDS courses online.
// You may also select what 20 of the 32 courses you wish to play online in that
// session.
#define MKDS_COURSE_HACK 1

// DS_CARD_DUMP - This allows you to dump the currently inserted DS Game card
// to a GBAMP, M3 or SuperCard.  Make 100% sure you have enough space on your
// Compact Flash or SD card, before proceeding.  This option is STRICTLY 
// meant to make a personal BACKUP of game cards you OWN. (not rented, borrowed, etc...)
#define DS_CARD_DUMP 1

// PROGRAMMING_MODE - Ability to change Memory visible to the ARM9,  as well as 
// force the ARM7/ARM9 to execute a given function.   This is a function for advanced
// programmers.
#define PROGRAMMING_MODE 1

// MEMORY_DUMP - View all memory visible to the ARM9. This is useful for advanced
// programmers.
#define MEMORY_DUMP 1

// PROTECTED_ENABLED - View protected firmware settings.  May be useful to the programmer.
// This section is of no use to the normal user.
#define PROTECTED_ENABLED 1

// PROTECTED_WRITE - This allows some of the protected settings to be changed.  Even with this
// option enabled, not all of the settings can be changed,  specifically, none of the CRCs, and none
// of the PART settings.  This option is DISABLED by default, as permanent damage to the Nintendo DS
// can result from improper changing of these settings.
//#define PROTECTED_WRITE 1

